Package org.eclipse.birt.chart.model.attribute.impl

# Class LocationImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.LocationImpl

All Implemented Interfaces:
  `Location`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `Location3DImpl`

public class LocationImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Location
An implementation of the model object ' Location'.

The following features are implemented:

- `X`
- `Y`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`Location`
`copyInstance()`
A convenient method to get an instance copy.
`static final Location[]`
`create(double[] xa, double[] ya)`
`static final Location`
`create(double dX, double dY)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`boolean`
`equals(Object obj)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`double`
`getX()`
`static double[]`
`getXArray(Location[] loc)`
`double`
`getY()`
`static double[]`
`getYArray(Location[] loc)`
`int`
`hashCode()`
`boolean`
`isSetX()`
`boolean`
`isSetY()`
`void`
`scale(double dScale)`
Causes the internal (x,y) values to be scaled by a relative (dScale) value
`void`
`set(double dX, double dY)`
A convenience method for defining member variables NOTE: Manually created
`void`
`setX(double newX)`
`void`
`setY(double newY)`
`String`
`toString()`
`void`
`translate(double dTranslateX, double dTranslateY)`
Causes the internal (x,y) values to be translated by a relative value of (dTranslateX, dTranslateY)
`void`
`unsetX()`
`void`
`unsetY()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getX

public double getX()

Specified by:
  `getX` in interface `Location`
Returns:
  the value of the 'X' attribute.
See Also:
  - `Location.isSetX()`
  - `Location.unsetX()`
  - `Location.setX(double)`
  - `AttributePackage.getLocation_X()`

### setX

public void setX(double newX)

Specified by:
  `setX` in interface `Location`
Parameters:
  `newX` - the new value of the 'X' attribute.
See Also:
  - `Location.isSetX()`
  - `Location.unsetX()`
  - `Location.getX()`

### unsetX

public void unsetX()

Specified by:
  `unsetX` in interface `Location`
See Also:
  - `Location.isSetX()`
  - `Location.getX()`
  - `Location.setX(double)`

### isSetX

public boolean isSetX()

Specified by:
  `isSetX` in interface `Location`
Returns:
  whether the value of the 'X' attribute is set.
See Also:
  - `Location.unsetX()`
  - `Location.getX()`
  - `Location.setX(double)`

### getY

public double getY()

Specified by:
  `getY` in interface `Location`
Returns:
  the value of the 'Y' attribute.
See Also:
  - `Location.isSetY()`
  - `Location.unsetY()`
  - `Location.setY(double)`
  - `AttributePackage.getLocation_Y()`

### setY

public void setY(double newY)

Specified by:
  `setY` in interface `Location`
Parameters:
  `newY` - the new value of the 'Y' attribute.
See Also:
  - `Location.isSetY()`
  - `Location.unsetY()`
  - `Location.getY()`

### unsetY

public void unsetY()

Specified by:
  `unsetY` in interface `Location`
See Also:
  - `Location.isSetY()`
  - `Location.getY()`
  - `Location.setY(double)`

### isSetY

public boolean isSetY()

Specified by:
  `isSetY` in interface `Location`
Returns:
  whether the value of the 'Y' attribute is set.
See Also:
  - `Location.unsetY()`
  - `Location.getY()`
  - `Location.setY(double)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Location create(double dX, double dY)

Parameters:
  `dX` -
  `dY` -
Returns:

### create

public static final Location[] create(double[] xa, double[] ya)

Parameters:
  `xa` -
  `ya` -
Returns:

### getXArray

public static double[] getXArray(Location[] loc)

Parameters:
  `loc` -
Returns:

### getYArray

public static double[] getYArray(Location[] loc)

Parameters:
  `loc` -
Returns:

### set

public void set(double dX, double dY)
Description copied from interface: `Location`
A convenience method for defining member variables NOTE: Manually created

Specified by:
  `set` in interface `Location`
Parameters:
  `dX` -
  `dY` -

### translate

public void translate(double dTranslateX, double dTranslateY)
Description copied from interface: `Location`
Causes the internal (x,y) values to be translated by a relative value of (dTranslateX, dTranslateY)

Specified by:
  `translate` in interface `Location`

### scale

public void scale(double dScale)
Description copied from interface: `Location`
Causes the internal (x,y) values to be scaled by a relative (dScale) value

Specified by:
  `scale` in interface `Location`
Parameters:
  `dScale` -

### copyInstance

public Location copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Location`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`